Pamgauss User Manual(0)

NAME
pamgauss - create a two dimensional gaussian function as a PAM image

SYNOPSIS
pamgauss width height -sigma=number [-maxval=number] [-tupletype=string]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

EXAMPLES
     pamgauss 3 3 -sigma=.5 -tupletype=GRAYSCALE | pamtopnm >gauss.pgm
     pnmconvol -nooffset gauss.pgm myimage.ppm >blurred.ppm

DESCRIPTION

This program is part of Netpbm(1)

pamgauss generates a one-plane PAM image whose samples are a gaussian function of their distance from the center of the image. I.e. the sample value is highest in the center and goes down, in a bell curve shape, as you move away from the center.

The values are scaled so that the volume under the surface of the two-dimensional Gaussian function is the maxval of the image.

You can use this image as a convolution kernel with pnmconvol to blur an image. (This technique is known as Gaussian blurring). width and height are the dimensions of the image that pamgauss generates. Mathematically speaking, they are the domain of the two dimensional gaussian function.

The sum of all the samples is equal to the image's maxval (within rounding error). This is true even if you clip the Gaussian function by making the image too small. If you want to be sure you get a whole Gaussian function, make sure that you choose a sigma and image dimensions so that if you made it any larger, the sample values at the edges would be zero.

The output image is PAM. To make it usable with pnmconvol, specify -tupletype=GRAYSCALE so pnmconvol can use it as if it were PGM. You must use the -nooffset option on pnmconvol because zero means zero in the PAM that pamgauss generates.

OPTIONS

-sigma=number
    This is the sigma parameter of the Gaussian function (if it were a Gaussian probability function, this would be its standard deviation). The higher the number, the more spread out the function is. Normally, you want to make this number low enough that the function reaches zero value before the edge of your image.

    number is in units of pixels.

    This option is required. There is no default.

-maxval=number
    This is the maxval for the output image. It defaults to 255.

-tupletype=string
    This is the value of the "tuple_type" attribute of the created PAM image. It can be any string up to 255 characters. If you don't specify this, pamgauss generates a PAM with unspecified tuple type.

SEE ALSO
pnmconvol(1) , pamtopnm(1) , pgmkernel(1) , pamseq(1) , pam(5)

HISTORY

pamgauss was new in Netpbm 10.23 (July 2004).

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pamgauss.html